@import "src/styles/constans";
@import "src/styles/mixin";

.article {
  width: 350px;
  height: 276px;
  position: relative;
  & img {
    width: 100%;
    height: 100%;
    object-fit: cover;
  }
  &:hover .about {
    transform: translate(-50%, -50%);
    transition: transform 0.3s ease;
  }
  & .about {
    position: absolute;
    width: 302px;
    height: 174px;
    background-color: white;
    top: 60%;
    left: 50%;
    transform: translateX(-50%);
    padding: 24px 16px 15px 16px;
    transition: transform 0.3s ease;

    & h3 {
      font-size: $title_14\22;
      font-weight: 600;
      text-transform: uppercase;
      letter-spacing: 0.06em;
      text-align: center;
      margin-bottom: 12px;
    }
    & p {
      opacity: 0.8;
      line-height: 22px;
    }
  }
}